section#headline {
  position: relative;
  color: var(--color-primary-foreground);
  background: var(--gradient-hero);
}

  section#headline .bg-overlay {
    position: absolute;
    background-image: var(--background-image);
    background-size: cover;
    background-position: center;
    mix-blend-mode: overlay;
    opacity: 0.25;
    inset: 0;
  }

  section#headline .container {
    position: relative;
    width: min(92%, 1200px);
    margin: 0 auto;
    padding-block: calc(var(--space) * 28);
  }

  section#headline .title {
    font-size: 3rem;
    font-weight: 600;
    letter-spacing: -0.025rem;
  }

  section#headline .desc {
    color: color-mix(in oklab, var(--color-primary-foreground) 85%, transparent);
    font-size: 1.125rem;
    max-width: 48rem;
    margin-top: calc(var(--space) * 5);
  }

section#contact-form {
  display: grid;
  width: min(92%, 1200px);
  margin: 0 auto calc(var(--space) * 24) auto;
  padding-block: calc(var(--space) * 20);
  gap: calc(var(--space) * 12);
}

  section#contact-form .card {
    background-color: var(--color-card);
    height: fit-content;
    padding: calc(var(--space) * 8);
    border: 1px solid var(--color-border);
    border-radius: 1rem;
    box-shadow: 0 4px 24px -8px rgba(0, 35, 90, 0.12);
  }

    section#contact-form .contact-container .title {
      margin-bottom: calc(var(--space) * 6);
      font-size: 1.5rem;
      font-weight: 600;
      letter-spacing: -0.02rem
    }

    section#contact-form .contact-container ul {
      list-style: none;
    }

    section#contact-form .contact-container li {
      display: flex;
      align-items: flex-start;
      gap: calc(var(--space) * 4);
    }

    section#contact-form .contact-container li:not(:last-child) {
      margin-bottom: calc(var(--space) * 5)
    }

      section#contact-form .contact-container li svg {
        flex-shrink: 0;
        width: calc(var(--space) * 5);
        height: calc(var(--space) * 5);
        color: var(--color-secondary);
        margin-top: calc(var(--space) * 0.5);
      }

      section#contact-form .contact-container li .label {
        color: var(--color-foreground);
        font-size: 0.875rem;
        font-weight: 600;
      }

      section#contact-form .contact-container li .value {
        color: var(--color-muted-foreground);
        font-size: 0.875rem;
        margin-top: calc(var(--space) * .5);
      }

      section#contact-form .contact-container li .value a {
        color: inherit;
        text-decoration: inherit;
      }

      section#contact-form .contact-container li .value a:hover {
        color: var(--color-secondary);
      }

    section#contact-form .form-container .title {
      margin-bottom: calc(var(--space) * 6);
      font-size: 1.5rem;
      font-weight: 600;
      letter-spacing: -0.02rem
    }

    section#contact-form .form-container form.grid-form {
      display: grid;
      gap: calc(var(--space) * 5);
    }

      section#contact-form .form-container .text-field {
        display: grid;
        gap: calc(var(--space) * 1.5);
      }

      section#contact-form .form-container .checkbox {
        display: flex;
        flex-wrap: nowrap;
        align-items: flex-start;
        gap: calc(var(--space) * 3);
      }

        section#contact-form .form-container .checkbox-label {
          color: var(--color-muted-foreground);
          font-size: 0.75rem;
          text-align: justify;
        }

          section#contact-form .form-container .checkbox-label a {
            color: inherit;
            font-weight: 700;
            text-decoration: underline;
          }

          section#contact-form .form-container .checkbox-label a:hover {
            color: var(--color-secondary);
          }

      section#contact-form .form-container .row {
        display: grid;
        gap: calc(var(--space) * 5);
      }

      section#contact-form .form-container label {
        font-size: 0.875rem;
        font-weight: 500;
      }

      section#contact-form .form-container input[type="text"],
      section#contact-form .form-container input[type="email"],
      section#contact-form .form-container input[type="tel"] {
        display: flex;
        background-color: transparent;
        width: 100%;
        height: calc(var(--space) * 9);
        padding-block: calc(var(--space) * 1);
        padding-inline: calc(var(--space) * 3);
        border: 1px solid var(--color-input);
        border-radius: calc(0.5rem - 2px);
        box-shadow: 1px 1px 4px color-mix(in oklab, #000000 15%, transparent);
      }

      section#contact-form .form-container textarea {
        display: flex;
        resize: vertical;
        background-color: transparent;
        width: 100%;
        min-height: 3.75rem;
        padding-block: calc(var(--space) * 2);
        padding-inline: calc(var(--space) * 3);
        border: 1px solid var(--color-input);
        border-radius: calc(0.5rem - 2px);
        box-shadow: 1px 1px 4px color-mix(in oklab, #000000 15%, transparent);
      }

      section#contact-form .form-container .submit-form .submit {
        display: inline-flex;
        align-items: center;
        justify-content: center;
        justify-self: flex-start;
        color: var(--color-secondary-foreground);
        background-color: var(--color-secondary);
        font-size: 0.875rem;
        font-weight: 500;
        padding: calc(var(--space) * 3) calc(var(--space) * 8);
        white-space: nowrap;
        border: 1px solid var(--color-input);
        border-radius: calc(0.5rem - 2px);
        gap: calc(var(--space) * 2);
        cursor: pointer;
        box-shadow: 1px 1px 4px color-mix(in oklab, #000000 15%, transparent);
      }

      section#contact-form .form-container .submit-form .submit:hover {
        background-color: color-mix(in oklab, var(--color-secondary) 90%, transparent);
      }

      section#contact-form .form-container .submit-form .submit:disabled{
        background-color: color-mix(in oklab, var(--color-muted-foreground) 10%, transparent);
        cursor: wait;
      }

        section#contact-form .form-container .submit-form .submit svg {
          width: calc(var(--space) * 4);
          height: calc(var(--space) * 4);
        }